--- a/lib/debian/emacsen-startup.ex
+++ b/lib/debian/emacsen-startup.ex
@@ -13,12 +13,14 @@
 ;; installed in a subdirectory of the respective site-lisp directory.
 ;; We have to add this to the load-path:
 (let ((package-dir (concat "/usr/share/"
-                           (symbol-name flavor)
+                           (symbol-name debian-emacs-flavor)
                            "/site-lisp/#PACKAGE#")))
 ;; If package-dir does not exist, the #PACKAGE# package must have
 ;; removed but not purged, and we should skip the setup.
   (when (file-directory-p package-dir)
-    (setq load-path (cons package-dir load-path))
+    (if (fboundp 'debian-pkg-add-load-path-item)
+        (debian-pkg-add-load-path-item package-dir)
+      (setq load-path (cons package-dir load-path)))
     (autoload '#PACKAGE#-mode "#PACKAGE#-mode"
       "Major mode for editing #PACKAGE# files." t)
     (add-to-list 'auto-mode-alist '("\\.#PACKAGE#$" . #PACKAGE#-mode))))
